Object = require("lib/classic")
HC = require "lib/HC"
Class = require "lib/HC.class"
require("player")

function love.load()
	
	map={
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0},
		{0,0,0,0,0,0,0,2,1,1,3,0,0,0,0,0},
		{0,0,0,0,0,0,2,1,1,1,1,3,0,0,0,0},
		{1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1}
	}
	blocks = {}
	for i in ipairs(map) do
		for ii in ipairs(map[i]) do
			local x = (ii-1)*16
			local y = (i-1)*16
			if map[i][ii] == 1 then
				table.insert(blocks,HC.rectangle(x,y,16,16))
			elseif map[i][ii] == 2 then
				table.insert(blocks,HC.polygon(x,y+16, x+16,y+16, x+16,y))
			elseif map[i][ii] == 3 then
				table.insert(blocks,HC.polygon(x,y+16, x+16,y+16, x,y))
			end
		end
	end
end

function love.update(dt)
end

function love.draw()
	for i in ipairs(blocks) do
		blocks[i]:draw("fill")
	end
end